Package org.eclipse.jdt.core.jdom

# Interface IDOMMember

All Superinterfaces:
  `Cloneable`, `IDOMNode`

All Known Subinterfaces:
  `IDOMField`, `IDOMInitializer`, `IDOMMethod`, `IDOMType`

public interface IDOMMember extends IDOMNode
Deprecated.
The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.
An `IDOMMember` defines functionality common to nodes, which can be members of types.

See Also:
  - `IDOMType`
  - `IDOMMethod`
  - `IDOMField`
  - `IDOMInitializer`
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jdt.core.jdom.IDOMNode

`COMPILATION_UNIT, FIELD, IMPORT, INITIALIZER, METHOD, PACKAGE, TYPE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getComment()`
Deprecated.
Returns the comment associated with this member (including comment delimiters).
`int`
`getFlags()`
Deprecated.
Returns the flags for this member.
`void`
`setComment(String comment)`
Deprecated.
Sets the comment associated with this member.
`void`
`setFlags(int flags)`
Deprecated.
Sets the flags for this member.

### Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMNode

`addChild, canHaveChildren, clone, getCharacters, getChild, getChildren, getContents, getFirstChild, getJavaElement, getName, getNextNode, getNodeType, getParent, getPreviousNode, insertSibling, isAllowableChild, isSignatureEqual, remove, setName`

## Method Details

### getComment

String getComment()
Deprecated.
Returns the comment associated with this member (including comment delimiters).

Returns:
  the comment, or `null` if this member has no associated comment

### getFlags

int getFlags()
Deprecated.
Returns the flags for this member. The flags can be examined using the `Flags` class.

Returns:
  the flags
See Also:
  - `Flags`

### setComment

void setComment(String comment)
Deprecated.
Sets the comment associated with this member. The comment will appear before the member in the source. The comment must be properly formatted, including delimiters. A `null` comment indicates no comment. This member's deprecated flag is automatically set to reflect the deprecated tag in the comment.

Parameters:
  `comment` - the comment, including comment delimiters, or `null` indicating this member should have no associated comment
See Also:
  - `setFlags(int)`

### setFlags

void setFlags(int flags)
Deprecated.
Sets the flags for this member. The flags can be examined using the `Flags` class. The deprecated flag passed in is ignored.

Parameters:
  `flags` - the flags
See Also:
  - `Flags`